Author Topic: Apache OpenOffice 4.0  (Read 16602 times)

Neil Waldhauer

  • Sr. Member
  • ****
  • Thank You
  • -Given: 8
  • -Receive: 31
  • Posts: 460
    • View Profile
    • Blonde Guy
Apache OpenOffice 4.0
« on: July 14, 2013, 03:53:11 pm »
First, thanks to Yuri Dario for his work!!!

When I prepare to run OpenOffice, I use RPM to update as in the readme.

yum install libc gcc-4.4.4 gcc-4.4.6 openssl curl libjpeg libxslt libicu zlib libxml2 stdcpp mmap pthread urpo gcc-stdc++-shared-library

Transaction Check Error:
  file /@unixroot/usr/lib/gcc335.dll from install of libc-devel-0.6.5-17.oc00.i3
86 conflicts with file from package libgcc335-3.3.5-6.oc00.i386


I tried to start OpenOffice by going to the openoffice program directory and executing swriter.exe, and I get

Unable to start Apache OpenOffice!

return code: 2
Failing module: ICUUC42
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Martin Iturbide

  • OS2World NewsMaster
  • Global Moderator
  • Hero Member
  • *****
  • Thank You
  • -Given: 393
  • -Receive: 79
  • Posts: 2375
  • Your Friend Wil Declares...
    • View Profile
    • Martin's Personal Blog
Re: Apache OpenOffice 4.0
« Reply #1 on: July 14, 2013, 04:20:57 pm »
Hi Neils

Try the RPM 

yum install openssl curl libjpeg libxslt libicu zlib libxml2 stdcpp mmap pthread urpo gcc-stdc++-shared-library

then try

yum install libc

I got some problems installing GCC with YUM, I thought it was only my specific problem, so I skipped that install.  But once I installed the rest of components OpenOffice worked fine here.
Martin Iturbide
OS2World NewsMaster
... just share the dream.

Neil Waldhauer

  • Sr. Member
  • ****
  • Thank You
  • -Given: 8
  • -Receive: 31
  • Posts: 460
    • View Profile
    • Blonde Guy
Re: Apache OpenOffice 4.0
« Reply #2 on: July 14, 2013, 04:39:58 pm »
Awesome, it works here! I had to try things, though.

When using the database wizard, I get a JRE Required dialog box. (OpenOffice requires a Java runtime environment (JRE) to perform this task. Please install a JRE and restart OpenOffice.)

Did I forget to configure something?
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Andi B.

  • Sr. Member
  • ****
  • Thank You
  • -Given: 1
  • -Receive: 21
  • Posts: 433
    • View Profile
Re: Apache OpenOffice 4.0
« Reply #3 on: July 15, 2013, 01:01:24 pm »
You've configured Tools - Options - OpenOffice - Java - path to your Java installation?

First OO4.0 I used has problems with Jave when OO was installed in a directory which contains blanks. So had to change 'Open Office 4.0' to 'OpenOffice4.0'. But most probably this is fixed in current versions.

David McKenna

  • Full Member
  • ***
  • Thank You
  • -Given: 9
  • -Receive: 10
  • Posts: 216
    • View Profile
Re: Apache OpenOffice 4.0
« Reply #4 on: July 15, 2013, 01:23:35 pm »
  I made the mistake of opening 'Tools'->'Media Player' and now the media player will not close. This means that I can not close OpenOffice as long as the media player is open so I have to kill it every time. Next time I start it, the media player is also opened (in any module). Anyone know of a way to start without the media player? Maybe I'll just delete and re-install...

Neil Waldhauer

  • Sr. Member
  • ****
  • Thank You
  • -Given: 8
  • -Receive: 31
  • Posts: 460
    • View Profile
    • Blonde Guy
Re: Apache OpenOffice 4.0
« Reply #5 on: July 15, 2013, 10:18:27 pm »
You've configured Tools - Options - OpenOffice - Java - path to your Java installation?

First OO4.0 I used has problems with Jave when OO was installed in a directory which contains blanks. So had to change 'Open Office 4.0' to 'OpenOffice4.0'. But most probably this is fixed in current versions.

What would you fill in for Tools - Options - OpenOffice - Java? I tried java600, java600\jre, java600\jre\bin, java600\jre\bin\client, but none are recognized.

Neil
Expert consulting for ArcaOS, OS/2 and eComStation
http://www.blondeguy.com

Andy Willis

  • Full Member
  • ***
  • Thank You
  • -Given: 0
  • -Receive: 10
  • Posts: 203
    • View Profile
Re: Apache OpenOffice 4.0
« Reply #6 on: July 16, 2013, 12:27:22 am »
@David, I ended up deleting the OpenOffice directory that is at the level of program (I am surprised it is not under Home).
@Neil, not sure why you are not seeing it work, if I put Java160 in the path it finds it on its own... otherwise I was able to use the Add and find it.  I did rename my Java11 directory as it was sometimes being found and would then crash. 

David McKenna

  • Full Member
  • ***
  • Thank You
  • -Given: 9
  • -Receive: 10
  • Posts: 216
    • View Profile
Re: Apache OpenOffice 4.0
« Reply #7 on: July 16, 2013, 01:38:55 am »
Andy....

  After much screwing around I found that deleting the file: \OpenOffice4\OpenOffice\4\user\registrymodifications.xcu cures the problem. You have to enter personal info again next time it is started though...

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 35
  • Posts: 822
    • View Profile
Re: Apache OpenOffice 4.0
« Reply #8 on: July 16, 2013, 02:03:57 am »
Hi All

Nice to see other people have got OO4 running. Shame it does not happen here, all I get is the splash screen followed by this message:-


OpenOffice 4.0.0 - Fatal Error

The application cannot be started.
exception occured raising singleton
"/singletons/co.su.star.deployment.ExtensionManager":
loading component library failed:
file:///J:/PROGRAMS/OPENOFFICE4/PROGRAM/../program/
deploy.dll


If anyone has any ideas to resolve the above problem I'm interested   :-)

Regards

Pete

David McKenna

  • Full Member
  • ***
  • Thank You
  • -Given: 9
  • -Receive: 10
  • Posts: 216
    • View Profile
Re: Apache OpenOffice 4.0
« Reply #9 on: July 16, 2013, 04:39:34 am »
Pete,

  In your situation, the first thing I would do is look for duplicate files on my system that may interfere with AOO. In case you don't already know, go to 'Local System'->'System Setup'->'OS/2 Kernel', then choose the 'System Paths' tab. Choose the path to check, then hit the 'Duplicates' button and you will get a list of duplicate files in the path chosen. Scrutinize those and see if maybe the 'wrong' one is earlier in the path. Temporarily rename any suspicious ones and see if it helps.

  Another thing to look for... do you have any other versions of OpenOffice on your system (including Star Office)? Maybe there is a signal getting crossed from one of them (registry entry, path entry, ini file entry, or start folder program)?

  Your error message is odd... it implies there is a 'program' directory under /OpenOffice4/Program somewhere. I don't see that here... maybe you set that up yourself? How did you install AOO?

Andy Willis

  • Full Member
  • ***
  • Thank You
  • -Given: 0
  • -Receive: 10
  • Posts: 203
    • View Profile
Re: Apache OpenOffice 4.0
« Reply #10 on: July 16, 2013, 04:44:35 pm »
Pete,
  Your error message is odd... it implies there is a 'program' directory under /OpenOffice4/Program somewhere. I don't see that here... maybe you set that up yourself? How did you install AOO?
Actually... it is the same program.  Notice, it is  \program\..\program  the .. takes it up a level from program and then back into program.  It looks odd but should work fine.
Andy

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 35
  • Posts: 822
    • View Profile
Re: Apache OpenOffice 4.0
« Reply #11 on: July 16, 2013, 05:07:33 pm »
Hi David

I unzipped OO4 - and then downloaded, unzipped and installed (hopefully) all required DLL files not already installed.

The unzipped DLL files went into \ecs\dll.

All duplicate files are eCS (OS/2) files.

I have several other OO installations: OO3 and OO2 both of which are not very reliable and OO115 for Windows running via ar5os2.exe which is the most stable, reliable and useable of all the OO packages to date. None of these packages have entries in config.sys and nothing in the Startup folder.

There are some INI file entries for the OO Desktop Objects plus Registry entries for font j:\programs\openoffice3\fonts\opens_.ttf and focpoo3.dll  - OpenOfficeOrg document types - not sure which OO build.


Yes, the error message looks odd but the path should work. If I use the following on a command line:-

[J:\PROGRAMS]cd \PROGRAMS\OPENOFFICE4\PROGRAM\..\program

[J:\PROGRAMS\OPENOFFICE4\program]


It results in a directory change to /PROGRAMS/OPENOFFICE4/PROGRAM

Basically the "/../program" is redundant so deploy.dll should be found as it exists in J:/PROGRAMS/OPENOFFICE4/PROGRAM/../program.


My best guess is that either a(some) required DLL file(s) are not at the required build level or maybe I've managed to miss extracting 1 (or more) required DLL file(s) from the "packaged for unix" zip files.

Guess I'll have to wait for a later build that contains all required files or at least a comprehensive list of required files/build levels.


Regards

Pete







Andy Willis

  • Full Member
  • ***
  • Thank You
  • -Given: 0
  • -Receive: 10
  • Posts: 203
    • View Profile
Re: Apache OpenOffice 4.0
« Reply #12 on: July 16, 2013, 05:16:56 pm »
Pete, you might try what I did... rename your OO3 directory and then recreate it and put the 004 files in it in the same locations that OO3 was in.  I did that just in case there were any ini entries that came into play.  Also, I put the oowps DLL in there so that it works like it did with OO3.

Pete

  • Hero Member
  • *****
  • Thank You
  • -Given: 1
  • -Receive: 35
  • Posts: 822
    • View Profile
Re: Apache OpenOffice 4.0
« Reply #13 on: July 16, 2013, 07:56:15 pm »
Hi Andy

I thought it would be easier to uninstall OO2 and OO3 as neither package is worth having installed.

However, this seems to have left some OO3 entries that checkini reveals and cleanini does not get rid of - nor does DMT.

I would use IniEditor to manually remove those entries but IniEditor cannot find them...

What other tools are available to remove these ini file entries?

*DRIV: J:\  (397 handles)
*3920E:OPENOFFICE3    =>J:\PROGRAMS\OPENOFFICE3<-UNABLE TO ACCESS
*358A4:BASIS          =>J:\PROGRAMS\OPENOFFICE3\BASIS<-UNABLE TO ACCESS
*30877:SHARE          =>J:\PROGRAMS\OPENOFFICE3\BASIS\SHARE<-UNABLE TO ACCESS
*3AC55:TEMPLATE       =>J:\PROGRAMS\OPENOFFICE3\BASIS\SHARE\TEMPLATE<-UNABLE TO ACCESS
*3D9B2:WIZARD         =>J:\PROGRAMS\OPENOFFICE3\BASIS\SHARE\TEMPLATE\WIZARD<-UNABLE TO ACCESS
*390BB:LETTER         =>J:\PROGRAMS\OPENOFFICE3\BASIS\SHARE\TEMPLATE\WIZARD\LETTER<-UNABLE TO ACCESS
*33B37:EN-GB          =>J:\PROGRAMS\OPENOFFICE3\BASIS\SHARE\TEMPLATE\WIZARD\LETTER\EN-GB<-UNABLE TO ACCESS
*3C32F:BUS-MODERN_L.OTT=>J:\PROGRAMS\OPENOFFICE3\BASIS\SHARE\TEMPLATE\WIZARD\LETTER\EN-GB\BUS-MODERN_L.OTT<-UNABLE TO ACCESS


Regards

Pete

Andy Willis

  • Full Member
  • ***
  • Thank You
  • -Given: 0
  • -Receive: 10
  • Posts: 203
    • View Profile
Re: Apache OpenOffice 4.0
« Reply #14 on: July 16, 2013, 09:11:08 pm »
As there is not an OO4 installer, I decided to just swap it out so that if something needed to be there it would be.